# Network Security API

- [REST Resource: v1beta1.organizations.locations.addressGroups](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest#v1beta1.organizations.locations.addressGroups)
- [REST Resource: v1beta1.organizations.locations.firewallEndpoints](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest#v1beta1.organizations.locations.firewallEndpoints)
- [REST Resource: v1beta1.organizations.locations.operations](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest#v1beta1.organizations.locations.operations)
- [REST Resource: v1beta1.organizations.locations.securityProfileGroups](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest#v1beta1.organizations.locations.securityProfileGroups)
- [REST Resource: v1beta1.organizations.locations.securityProfiles](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest#v1beta1.organizations.locations.securityProfiles)
- [REST Resource: v1beta1.projects.locations](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest#v1beta1.projects.locations)
- [REST Resource: v1beta1.projects.locations.addressGroups](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest#v1beta1.projects.locations.addressGroups)
- [REST Resource: v1beta1.projects.locations.authorizationPolicies](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest#v1beta1.projects.locations.authorizationPolicies)
- [REST Resource: v1beta1.projects.locations.clientTlsPolicies](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest#v1beta1.projects.locations.clientTlsPolicies)
- [REST Resource: v1beta1.projects.locations.firewallEndpointAssociations](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest#v1beta1.projects.locations.firewallEndpointAssociations)
- [REST Resource: v1beta1.projects.locations.gatewaySecurityPolicies](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest#v1beta1.projects.locations.gatewaySecurityPolicies)
- [REST Resource: v1beta1.projects.locations.gatewaySecurityPolicies.rules](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest#v1beta1.projects.locations.gatewaySecurityPolicies.rules)
- [REST Resource: v1beta1.projects.locations.operations](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest#v1beta1.projects.locations.operations)
- [REST Resource: v1beta1.projects.locations.serverTlsPolicies](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest#v1beta1.projects.locations.serverTlsPolicies)
- [REST Resource: v1beta1.projects.locations.tlsInspectionPolicies](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest#v1beta1.projects.locations.tlsInspectionPolicies)
- [REST Resource: v1beta1.projects.locations.urlLists](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest#v1beta1.projects.locations.urlLists)

## Service: networksecurity.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://networksecurity.googleapis.com/$discovery/rest?version=v1beta1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://networksecurity.googleapis.com`

## REST Resource: [v1beta1.organizations.locations.addressGroups](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups/addItems` | `POST /v1beta1/{addressGroup=organizations/*/locations/*/addressGroups/*}:addItems` Adds items to an address group. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups/cloneItems` | `POST /v1beta1/{addressGroup=organizations/*/locations/*/addressGroups/*}:cloneItems` Clones items from one address group to another. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups/create` | `POST /v1beta1/{parent=organizations/*/locations/*}/addressGroups` Creates a new address group in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups/delete` | `DELETE /v1beta1/{name=organizations/*/locations/*/addressGroups/*}` Deletes an address group. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups/get` | `GET /v1beta1/{name=organizations/*/locations/*/addressGroups/*}` Gets details of a single address group. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups/list` | `GET /v1beta1/{parent=organizations/*/locations/*}/addressGroups` Lists address groups in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups/listReferences` | `GET /v1beta1/{addressGroup=organizations/*/locations/*/addressGroups/*}:listReferences` Lists references of an address group. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups/patch` | `PATCH /v1beta1/{addressGroup.name=organizations/*/locations/*/addressGroups/*}` Updates parameters of an address group. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.addressGroups/removeItems` | `POST /v1beta1/{addressGroup=organizations/*/locations/*/addressGroups/*}:removeItems` Removes items from an address group. |

## REST Resource: [v1beta1.organizations.locations.firewallEndpoints](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.firewallEndpoints)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.firewallEndpoints/create` | `POST /v1beta1/{parent=organizations/*/locations/*}/firewallEndpoints` Creates a new FirewallEndpoint in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.firewallEndpoints/delete` | `DELETE /v1beta1/{name=organizations/*/locations/*/firewallEndpoints/*}` Deletes a single Endpoint. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.firewallEndpoints/get` | `GET /v1beta1/{name=organizations/*/locations/*/firewallEndpoints/*}` Gets details of a single Endpoint. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.firewallEndpoints/list` | `GET /v1beta1/{parent=organizations/*/locations/*}/firewallEndpoints` Lists FirewallEndpoints in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.firewallEndpoints/patch` | `PATCH /v1beta1/{firewallEndpoint.name=organizations/*/locations/*/firewallEndpoints/*}` Update a single Endpoint. |

## REST Resource: [v1beta1.organizations.locations.operations](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.operations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.operations/cancel` | `POST /v1beta1/{name=organizations/*/locations/*/operations/*}:cancel` Starts asynchronous cancellation on a long-running operation. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.operations/delete` | `DELETE /v1beta1/{name=organizations/*/locations/*/operations/*}` Deletes a long-running operation. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.operations/get` | `GET /v1beta1/{name=organizations/*/locations/*/operations/*}` Gets the latest state of a long-running operation. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.operations/list` | `GET /v1beta1/{name=organizations/*/locations/*}/operations` Lists operations that match the specified filter in the request. |

## REST Resource: [v1beta1.organizations.locations.securityProfileGroups](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.securityProfileGroups)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.securityProfileGroups/create` | `POST /v1beta1/{parent=organizations/*/locations/*}/securityProfileGroups` Creates a new SecurityProfileGroup in a given organization and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.securityProfileGroups/delete` | `DELETE /v1beta1/{name=organizations/*/locations/*/securityProfileGroups/*}` Deletes a single SecurityProfileGroup. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.securityProfileGroups/get` | `GET /v1beta1/{name=organizations/*/locations/*/securityProfileGroups/*}` Gets details of a single SecurityProfileGroup. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.securityProfileGroups/list` | `GET /v1beta1/{parent=organizations/*/locations/*}/securityProfileGroups` Lists SecurityProfileGroups in a given organization and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.securityProfileGroups/patch` | `PATCH /v1beta1/{securityProfileGroup.name=organizations/*/locations/*/securityProfileGroups/*}` Updates the parameters of a single SecurityProfileGroup. |

## REST Resource: [v1beta1.organizations.locations.securityProfiles](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.securityProfiles)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.securityProfiles/create` | `POST /v1beta1/{parent=organizations/*/locations/*}/securityProfiles` Creates a new SecurityProfile in a given organization and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.securityProfiles/delete` | `DELETE /v1beta1/{name=organizations/*/locations/*/securityProfiles/*}` Deletes a single SecurityProfile. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.securityProfiles/get` | `GET /v1beta1/{name=organizations/*/locations/*/securityProfiles/*}` Gets details of a single SecurityProfile. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.securityProfiles/list` | `GET /v1beta1/{parent=organizations/*/locations/*}/securityProfiles` Lists SecurityProfiles in a given organization and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.securityProfiles/patch` | `PATCH /v1beta1/{securityProfile.name=organizations/*/locations/*/securityProfiles/*}` Updates the parameters of a single SecurityProfile. |

## REST Resource: [v1beta1.projects.locations](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations/get` | `GET /v1beta1/{name=projects/*/locations/*}` Gets information about a location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations/list` | `GET /v1beta1/{name=projects/*}/locations` Lists information about the supported locations for this service. |

## REST Resource: [v1beta1.projects.locations.addressGroups](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/addItems` | `POST /v1beta1/{addressGroup=projects/*/locations/*/addressGroups/*}:addItems` Adds items to an address group. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/cloneItems` | `POST /v1beta1/{addressGroup=projects/*/locations/*/addressGroups/*}:cloneItems` Clones items from one address group to another. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/create` | `POST /v1beta1/{parent=projects/*/locations/*}/addressGroups` Creates a new address group in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/delete` | `DELETE /v1beta1/{name=projects/*/locations/*/addressGroups/*}` Deletes a single address group. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/get` | `GET /v1beta1/{name=projects/*/locations/*/addressGroups/*}` Gets details of a single address group. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/getIamPolicy` | `GET /v1beta1/{resource=projects/*/locations/*/addressGroups/*}:getIamPolicy` Gets the access control policy for a resource. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/list` | `GET /v1beta1/{parent=projects/*/locations/*}/addressGroups` Lists address groups in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/listReferences` | `GET /v1beta1/{addressGroup=projects/*/locations/*/addressGroups/*}:listReferences` Lists references of an address group. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/patch` | `PATCH /v1beta1/{addressGroup.name=projects/*/locations/*/addressGroups/*}` Updates the parameters of a single address group. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/removeItems` | `POST /v1beta1/{addressGroup=projects/*/locations/*/addressGroups/*}:removeItems` Removes items from an address group. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/setIamPolicy` | `POST /v1beta1/{resource=projects/*/locations/*/addressGroups/*}:setIamPolicy` Sets the access control policy on the specified resource. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.addressGroups/testIamPermissions` | `POST /v1beta1/{resource=projects/*/locations/*/addressGroups/*}:testIamPermissions` Returns permissions that a caller has on the specified resource. |

## REST Resource: [v1beta1.projects.locations.authorizationPolicies](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.authorizationPolicies)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.authorizationPolicies/create` | `POST /v1beta1/{parent=projects/*/locations/*}/authorizationPolicies` Creates a new AuthorizationPolicy in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.authorizationPolicies/delete` | `DELETE /v1beta1/{name=projects/*/locations/*/authorizationPolicies/*}` Deletes a single AuthorizationPolicy. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.authorizationPolicies/get` | `GET /v1beta1/{name=projects/*/locations/*/authorizationPolicies/*}` Gets details of a single AuthorizationPolicy. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.authorizationPolicies/getIamPolicy` | `GET /v1beta1/{resource=projects/*/locations/*/authorizationPolicies/*}:getIamPolicy` Gets the access control policy for a resource. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.authorizationPolicies/list` | `GET /v1beta1/{parent=projects/*/locations/*}/authorizationPolicies` Lists AuthorizationPolicies in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.authorizationPolicies/patch` | `PATCH /v1beta1/{authorizationPolicy.name=projects/*/locations/*/authorizationPolicies/*}` Updates the parameters of a single AuthorizationPolicy. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.authorizationPolicies/setIamPolicy` | `POST /v1beta1/{resource=projects/*/locations/*/authorizationPolicies/*}:setIamPolicy` Sets the access control policy on the specified resource. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.authorizationPolicies/testIamPermissions` | `POST /v1beta1/{resource=projects/*/locations/*/authorizationPolicies/*}:testIamPermissions` Returns permissions that a caller has on the specified resource. |

## REST Resource: [v1beta1.projects.locations.clientTlsPolicies](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.clientTlsPolicies)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.clientTlsPolicies/create` | `POST /v1beta1/{parent=projects/*/locations/*}/clientTlsPolicies` Creates a new ClientTlsPolicy in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.clientTlsPolicies/delete` | `DELETE /v1beta1/{name=projects/*/locations/*/clientTlsPolicies/*}` Deletes a single ClientTlsPolicy. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.clientTlsPolicies/get` | `GET /v1beta1/{name=projects/*/locations/*/clientTlsPolicies/*}` Gets details of a single ClientTlsPolicy. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.clientTlsPolicies/getIamPolicy` | `GET /v1beta1/{resource=projects/*/locations/*/clientTlsPolicies/*}:getIamPolicy` Gets the access control policy for a resource. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.clientTlsPolicies/list` | `GET /v1beta1/{parent=projects/*/locations/*}/clientTlsPolicies` Lists ClientTlsPolicies in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.clientTlsPolicies/patch` | `PATCH /v1beta1/{clientTlsPolicy.name=projects/*/locations/*/clientTlsPolicies/*}` Updates the parameters of a single ClientTlsPolicy. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.clientTlsPolicies/setIamPolicy` | `POST /v1beta1/{resource=projects/*/locations/*/clientTlsPolicies/*}:setIamPolicy` Sets the access control policy on the specified resource. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.clientTlsPolicies/testIamPermissions` | `POST /v1beta1/{resource=projects/*/locations/*/clientTlsPolicies/*}:testIamPermissions` Returns permissions that a caller has on the specified resource. |

## REST Resource: [v1beta1.projects.locations.firewallEndpointAssociations](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.firewallEndpointAssociations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.firewallEndpointAssociations/create` | `POST /v1beta1/{parent=projects/*/locations/*}/firewallEndpointAssociations` Creates a new FirewallEndpointAssociation in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.firewallEndpointAssociations/delete` | `DELETE /v1beta1/{name=projects/*/locations/*/firewallEndpointAssociations/*}` Deletes a single FirewallEndpointAssociation. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.firewallEndpointAssociations/get` | `GET /v1beta1/{name=projects/*/locations/*/firewallEndpointAssociations/*}` Gets details of a single FirewallEndpointAssociation. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.firewallEndpointAssociations/list` | `GET /v1beta1/{parent=projects/*/locations/*}/firewallEndpointAssociations` Lists Associations in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.firewallEndpointAssociations/patch` | `PATCH /v1beta1/{firewallEndpointAssociation.name=projects/*/locations/*/firewallEndpointAssociations/*}` Update a single FirewallEndpointAssociation. |

## REST Resource: [v1beta1.projects.locations.gatewaySecurityPolicies](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies/create` | `POST /v1beta1/{parent=projects/*/locations/*}/gatewaySecurityPolicies` Creates a new GatewaySecurityPolicy in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies/delete` | `DELETE /v1beta1/{name=projects/*/locations/*/gatewaySecurityPolicies/*}` Deletes a single GatewaySecurityPolicy. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies/get` | `GET /v1beta1/{name=projects/*/locations/*/gatewaySecurityPolicies/*}` Gets details of a single GatewaySecurityPolicy. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies/list` | `GET /v1beta1/{parent=projects/*/locations/*}/gatewaySecurityPolicies` Lists GatewaySecurityPolicies in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies/patch` | `PATCH /v1beta1/{gatewaySecurityPolicy.name=projects/*/locations/*/gatewaySecurityPolicies/*}` Updates the parameters of a single GatewaySecurityPolicy. |

## REST Resource: [v1beta1.projects.locations.gatewaySecurityPolicies.rules](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies.rules)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies.rules/create` | `POST /v1beta1/{parent=projects/*/locations/*/gatewaySecurityPolicies/*}/rules` Creates a new GatewaySecurityPolicy in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies.rules/delete` | `DELETE /v1beta1/{name=projects/*/locations/*/gatewaySecurityPolicies/*/rules/*}` Deletes a single GatewaySecurityPolicyRule. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies.rules/get` | `GET /v1beta1/{name=projects/*/locations/*/gatewaySecurityPolicies/*/rules/*}` Gets details of a single GatewaySecurityPolicyRule. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies.rules/list` | `GET /v1beta1/{parent=projects/*/locations/*/gatewaySecurityPolicies/*}/rules` Lists GatewaySecurityPolicyRules in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.gatewaySecurityPolicies.rules/patch` | `PATCH /v1beta1/{gatewaySecurityPolicyRule.name=projects/*/locations/*/gatewaySecurityPolicies/*/rules/*}` Updates the parameters of a single GatewaySecurityPolicyRule. |

## REST Resource: [v1beta1.projects.locations.operations](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.operations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.operations/cancel` | `POST /v1beta1/{name=projects/*/locations/*/operations/*}:cancel` Starts asynchronous cancellation on a long-running operation. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.operations/delete` | `DELETE /v1beta1/{name=projects/*/locations/*/operations/*}` Deletes a long-running operation. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.operations/get` | `GET /v1beta1/{name=projects/*/locations/*/operations/*}` Gets the latest state of a long-running operation. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.operations/list` | `GET /v1beta1/{name=projects/*/locations/*}/operations` Lists operations that match the specified filter in the request. |

## REST Resource: [v1beta1.projects.locations.serverTlsPolicies](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.serverTlsPolicies)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.serverTlsPolicies/create` | `POST /v1beta1/{parent=projects/*/locations/*}/serverTlsPolicies` Creates a new ServerTlsPolicy in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.serverTlsPolicies/delete` | `DELETE /v1beta1/{name=projects/*/locations/*/serverTlsPolicies/*}` Deletes a single ServerTlsPolicy. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.serverTlsPolicies/get` | `GET /v1beta1/{name=projects/*/locations/*/serverTlsPolicies/*}` Gets details of a single ServerTlsPolicy. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.serverTlsPolicies/getIamPolicy` | `GET /v1beta1/{resource=projects/*/locations/*/serverTlsPolicies/*}:getIamPolicy` Gets the access control policy for a resource. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.serverTlsPolicies/list` | `GET /v1beta1/{parent=projects/*/locations/*}/serverTlsPolicies` Lists ServerTlsPolicies in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.serverTlsPolicies/patch` | `PATCH /v1beta1/{serverTlsPolicy.name=projects/*/locations/*/serverTlsPolicies/*}` Updates the parameters of a single ServerTlsPolicy. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.serverTlsPolicies/setIamPolicy` | `POST /v1beta1/{resource=projects/*/locations/*/serverTlsPolicies/*}:setIamPolicy` Sets the access control policy on the specified resource. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.serverTlsPolicies/testIamPermissions` | `POST /v1beta1/{resource=projects/*/locations/*/serverTlsPolicies/*}:testIamPermissions` Returns permissions that a caller has on the specified resource. |

## REST Resource: [v1beta1.projects.locations.tlsInspectionPolicies](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/create` | `POST /v1beta1/{parent=projects/*/locations/*}/tlsInspectionPolicies` Creates a new TlsInspectionPolicy in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/delete` | `DELETE /v1beta1/{name=projects/*/locations/*/tlsInspectionPolicies/*}` Deletes a single TlsInspectionPolicy. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/get` | `GET /v1beta1/{name=projects/*/locations/*/tlsInspectionPolicies/*}` Gets details of a single TlsInspectionPolicy. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/list` | `GET /v1beta1/{parent=projects/*/locations/*}/tlsInspectionPolicies` Lists TlsInspectionPolicies in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.tlsInspectionPolicies/patch` | `PATCH /v1beta1/{tlsInspectionPolicy.name=projects/*/locations/*/tlsInspectionPolicies/*}` Updates the parameters of a single TlsInspectionPolicy. |

## REST Resource: [v1beta1.projects.locations.urlLists](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.urlLists)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.urlLists/create` | `POST /v1beta1/{parent=projects/*/locations/*}/urlLists` Creates a new UrlList in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.urlLists/delete` | `DELETE /v1beta1/{name=projects/*/locations/*/urlLists/*}` Deletes a single UrlList. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.urlLists/get` | `GET /v1beta1/{name=projects/*/locations/*/urlLists/*}` Gets details of a single UrlList. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.urlLists/list` | `GET /v1beta1/{parent=projects/*/locations/*}/urlLists` Lists UrlLists in a given project and location. |
| `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.urlLists/patch` | `PATCH /v1beta1/{urlList.name=projects/*/locations/*/urlLists/*}` Updates the parameters of a single UrlList. |